API Reference
Get Genesis
Get genesis.
Upon success, the Cache-Control header will be set with the default
maximum age.
Response Body
application/json
application/json
curl -X GET "https://mainnet-beta.rpc.hyperpaxeer.com/genesis"{
"jsonrpc": "2.0",
"id": 0,
"result": {
"genesis": {
"genesis_time": "2019-04-22T17:00:00Z",
"chain_id": "cosmoshub-2",
"initial_height": "2",
"consensus_params": {
"block": {
"max_bytes": "22020096",
"max_gas": "1000",
"time_iota_ms": "1000"
},
"evidence": {
"max_age": "100000"
},
"validator": {
"pub_key_types": [
"ed25519"
]
}
},
"validators": [
{
"address": "B00A6323737F321EB0B8D59C6FD497A14B60938A",
"pub_key": {
"type": "tendermint/PubKeyEd25519",
"value": "cOQZvh/h9ZioSeUMZB/1Vy1Xo5x2sjrVjlE/qHnYifM="
},
"power": "9328525",
"name": "Certus One"
}
],
"app_hash": "",
"app_state": {}
}
}
}{
"id": 0,
"jsonrpc": "2.0",
"error": "Description of failure"
}Get Genesis in multiple chunks GET
Get genesis document in multiple chunks to make it easier to iterate through larger genesis structures. Each chunk is produced by converting the genesis document to JSON and then splitting the resulting payload into 16MB blocks, and then Base64-encoding each block. Upon success, the `Cache-Control` header will be set with the default maximum age.
Get total balance with daily PnL GET
Returns the current total portfolio balance broken down by native, tokens, and perps, plus the daily PnL compared to yesterday's snapshot. Also saves a daily snapshot for historical tracking.